extends Node2D

const LOOP = preload("res://Loop.tscn")
const LINK = preload("res://Link.tscn")
const P2 = preload("res://Player2.tscn")

export (int) var loops = 1

func _ready():
	var parent = $Anchor
	for i in range (loops):
		var child = addLoop(parent)
		if i == 9:
			child = addPlayer2(parent)
		addLink(parent, child)
		parent = child
#	add name to last LINK attach P2 as last LOOP	

func addLoop(parent):
	var loop = LOOP.instance()
	loop.position = parent.position
	loop.position.y += 26
	add_child(loop)
	return loop

func addPlayer2(parent):
	print("adding")
	var p2 = P2.instance()
	p2.position = parent.position
	add_child(p2)
	return p2


func addLink(parent, child):
	var pin = LINK.instance()
	pin.node_a = parent.get_path()
	pin.node_b = child.get_path()
	parent.add_child(pin)
	
